Appearance
Synthetic Users API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| deleteSyntheticUser | DELETE /syntheticUsers/ | Delete Synthetic User |
| editSyntheticUser | PATCH /syntheticUsers/ | Edit Synthetic User |
| getSyntheticUser | GET /syntheticUsers/ | Get Synthetic User |
| listSyntheticUsers | GET /syntheticUsers | List Synthetic Users |
| regenerateSyntheticUser | POST /syntheticUsers/{synthetic_user_id}/regenerate | Regenerate Synthetic User |
deleteSyntheticUser
any deleteSyntheticUser()
Example
typescript
import { createConfiguration, SyntheticUsersApi } from '';
import type { SyntheticUsersApiDeleteSyntheticUserRequest } from '';
const configuration = createConfiguration();
const apiInstance = new SyntheticUsersApi(configuration);
const request: SyntheticUsersApiDeleteSyntheticUserRequest = {
syntheticUserId: "synthetic_user_id_example",
};
const data = await apiInstance.deleteSyntheticUser(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| syntheticUserId | [string] | defaults to undefined |
Return type
any
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
editSyntheticUser
SyntheticUser editSyntheticUser(syntheticUserPartial)
Example
typescript
import { createConfiguration, SyntheticUsersApi } from '';
import type { SyntheticUsersApiEditSyntheticUserRequest } from '';
const configuration = createConfiguration();
const apiInstance = new SyntheticUsersApi(configuration);
const request: SyntheticUsersApiEditSyntheticUserRequest = {
syntheticUserId: "synthetic_user_id_example",
syntheticUserPartial: {
description: "description_example",
},
};
const data = await apiInstance.editSyntheticUser(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| syntheticUserPartial | SyntheticUserPartial | ||
| syntheticUserId | [string] | defaults to undefined |
Return type
SyntheticUser
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
getSyntheticUser
SyntheticUser getSyntheticUser()
Example
typescript
import { createConfiguration, SyntheticUsersApi } from '';
import type { SyntheticUsersApiGetSyntheticUserRequest } from '';
const configuration = createConfiguration();
const apiInstance = new SyntheticUsersApi(configuration);
const request: SyntheticUsersApiGetSyntheticUserRequest = {
syntheticUserId: "synthetic_user_id_example",
};
const data = await apiInstance.getSyntheticUser(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| syntheticUserId | [string] | defaults to undefined |
Return type
SyntheticUser
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listSyntheticUsers
PageSyntheticUser listSyntheticUsers()
Example
typescript
import { createConfiguration, SyntheticUsersApi } from '';
import type { SyntheticUsersApiListSyntheticUsersRequest } from '';
const configuration = createConfiguration();
const apiInstance = new SyntheticUsersApi(configuration);
const request: SyntheticUsersApiListSyntheticUsersRequest = {
// Comma-separated list of synthetic user IDs (optional)
id: "id_example",
// Comma-separated list of project IDs (optional)
projectId: "projectId_example",
// Comma-separated list of synthetic user IDs (optional)
audienceId: "audienceId_example",
// Status to filter by (optional)
status: "status_example",
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listSyntheticUsers(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | [string] | Comma-separated list of synthetic user IDs | (optional) defaults to undefined |
| projectId | [string] | Comma-separated list of project IDs | (optional) defaults to undefined |
| audienceId | [string] | Comma-separated list of synthetic user IDs | (optional) defaults to undefined |
| status | [string] | Status to filter by | (optional) defaults to undefined |
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageSyntheticUser
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
regenerateSyntheticUser
SyntheticUser regenerateSyntheticUser()
Example
typescript
import { createConfiguration, SyntheticUsersApi } from '';
import type { SyntheticUsersApiRegenerateSyntheticUserRequest } from '';
const configuration = createConfiguration();
const apiInstance = new SyntheticUsersApi(configuration);
const request: SyntheticUsersApiRegenerateSyntheticUserRequest = {
syntheticUserId: "synthetic_user_id_example",
};
const data = await apiInstance.regenerateSyntheticUser(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| syntheticUserId | [string] | defaults to undefined |
Return type
SyntheticUser
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |